import { AppModel } from '../../../AppModel/AppModel';
import { BaseLeafOperation } from '../../type';
export declare type RemoveComponentLeafOperationContext = {
    componentId: string;
};
export declare class RemoveComponentLeafOperation extends BaseLeafOperation<RemoveComponentLeafOperationContext> {
    private deletedComponent?;
    private prevComponent?;
    do(prev: AppModel): AppModel;
    redo(prev: AppModel): AppModel;
    undo(prev: AppModel): AppModel;
}
